\pagestyle{plain}
\documentclass[epsfig,a4paper,11pt,titlepage,twoside,openany]{article}
\usepackage{graphicx}
\thispagestyle{empty}
\usepackage[paperheight=29.7cm,paperwidth=21cm,outer=1.5cm,inner=2.5cm,top=2cm,bottom=2cm]{geometry}
\usepackage{titlesec}
\usepackage[utf8x]{inputenc}
\usepackage{setspace}
\usepackage{sectsty}
\usepackage{url}
\usepackage[hidelinks]{hyperref}
\usepackage[dvipsnames]{xcolor}
\usepackage{fancyvrb}

\usepackage{tabularx}
\usepackage{multirow}
\usepackage{array}
\usepackage{booktabs}
\usepackage{tablefootnote}
\usepackage{float}

\usepackage{chngcntr}
\counterwithin{figure}{section}
\counterwithin{table}{section}
\counterwithin{figure}{subsection}
\counterwithin{table}{subsection}

\sectionfont{\fontsize{24}{25}\selectfont}
\subsectionfont{\fontsize{19}{25}\selectfont}
\subsubsectionfont{\fontsize{15}{20}\selectfont}


\begin{document}
\begin{center}
	
\titlespacing*{\chapter}{0pt}{0.59in}{0.02in}
\titlespacing*{\section}{0pt}{0.20in}{0.02in}
\titlespacing*{\subsection}{0pt}{0.10in}{0.02in}

%custom comando to input txt files in text
\RecustomVerbatimCommand{\VerbatimInput}{VerbatimInput}
{
	fontsize=\footnotesize,
	%
	frame=lines,  % top and bottom rule only
	framesep=2em, % separation between frame and text
	rulecolor=\color{Gray},
	%
	label=\fbox{\color{Black}data.txt},
	labelposition=topline,
	%
	commandchars=\|\(\), % escape character and argument delimiters for
	% commands within the verbatim
	commentchar=*        % comment character
}

\renewcommand{\thefigure}{\arabic{section}.\arabic{subsection}.\arabic{subsubsection}.\arabic{figure}}
\renewcommand{\thetable}{\arabic{section}.\arabic{subsection}.\arabic{subsubsection}.\arabic{figure}}
\setcounter{secnumdepth}{5}

\begin{figure}
	\centering\includegraphics[width=3cm]{logo_unitn.jpeg}
\end{figure}
	
	\Huge{\textbf{University of Trento - Italy}}

  \vspace{2 cm} 

  \LARGE{Department of Information Engineering \\and Computer Science\\}

  \vspace{1 cm} 
  \Large{Bachelor's Degree in Computer Science\\
  }

  \vspace{2 cm} 
  \Large\textsc{Final Dissertion\\} 
  \vspace{2 cm} 
  \Huge\textsc{Title\\}
  \Large{\it{Subtitle}}


  \vspace{2 cm} 
  
  \begin{tabular*}{\textwidth}{ c @{\extracolsep{\fill}} c }
  	\Large{Supervisor} & \Large{Student}\\
  	\Large{......}& \Large{......}\\
  \end{tabular*}

  \vspace{2 cm} 

  \Large{Academic Year 2019/2020}
  
\end{center}

\clearpage

\input{acknowledgements.tex}

\tableofcontents

\newpage

\input{abstract.tex}

\input{introduction.tex}

\input{background.tex}

\input{tool_assessments.tex}

\input{threats_vulns_sources.tex}

\input{test_cases.tex}

\input{implementation.tex}

\input{plugin_result.tex}

\input{conclusions.tex}

\addcontentsline{toc}{section}{Bibliography}
\bibliographystyle{plain}
\bibliography{biblio.bib}
\end{document}
